%define upstream_name    autovivification
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Lexically disable autovivification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

%description
When profiling some the Test::More manpage-based test script that contained
about 10 000 unit tests, I realized that 60% of the time was spent in the
Test::Builder manpage itself, even though every single test actually
involved a costly 'eval STRING'.

This module aims to be a partial replacement to the Test::More manpage in
those situations where you want to run a large number of simple tests. Its
functions behave the same as their the Test::More manpage counterparts,
except for the following differences :

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.160.0-3pclos2017
- rebuild against updates

